- [HTTP request](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/lookupEntryLinks#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/lookupEntryLinks#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/lookupEntryLinks#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/lookupEntryLinks#body.request_body)
- [Response body](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/lookupEntryLinks#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/lookupEntryLinks#body.LookupEntryLinksResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/lookupEntryLinks#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/lookupEntryLinks#body.aspect_1)
- [EntryMode](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/lookupEntryLinks#EntryMode)
- [Try it!](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/lookupEntryLinks#try-it)

Looks up Entry Links referencing the specified Entry.

### HTTP request

`GET https://dataplex.googleapis.com/v1/{name=projects/*/locations/*}:lookupEntryLinks`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The project to which the request should be attributed to Format: `projects/{project_id_or_number}/locations/{locationId}`. |

### Query parameters

| Parameters ||
|---|---|
| `entry` | `string` Required. The resource name of the referred Entry. Format: `projects/{project_id_or_number}/locations/{locationId}/entryGroups/{entryGroupId}/entries/{entryId}`. Entry Links which references this entry will be returned in the response. |
| `entryMode` | ``enum (`https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/lookupEntryLinks#EntryMode`)`` Mode of entry reference. |
| `entryLinkTypes[]` | `string` Entry link types to filter the response by. If empty, all entry link types will be returned. At most 10 entry link types can be specified. |
| `pageSize` | `integer` Maximum number of EntryLinks to return. The service may return fewer than this value. If unspecified, at most 10 EntryLinks will be returned. The maximum value is 10; values above 10 will be coerced to 10. |
| `pageToken` | `string` Page token received from a previous `locations.lookupEntryLinks` call. Provide this to retrieve the subsequent page. When paginating, all other parameters that are provided to the `locations.lookupEntryLinks` request must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for locations.lookupEntryLinks.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "entryLinks": [ { object (`https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entryLinks#EntryLink`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `entryLinks[]` | ``object (`https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entryLinks#EntryLink`)`` List of entry links that reference the specified entry. |
| `nextPageToken` | `string` Token to retrieve the next page of results, or empty if there are no more results in the list. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/dataplex.read-write`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permissions on the `name` resource:

- `bigquery.tables.get`
- `dataplex.entries.get`
- `dataplex.glossaryTerms.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## EntryMode

Mode of entry reference.

| Enums ||
|---|---|
| `ENTRY_MODE_UNSPECIFIED` | Unspecified entry mode. Returns both directional and non-directional entry links which references the entry. |
| `SOURCE` | Returns all directed entry links which references the entry as source. |
| `TARGET` | Return all directed entry links which references the entry as target. |